Benefits & tax profiles

Attempt Kota Auto Enrollment

Re-runs Kota auto-enrollment for one employee: checks eligibility, enrolls via Kota API, records INELIGIBLE/FAILED outcomes.

POSThttps://api.toku.com/hris/attempt-kota-auto-enrollment

Not available to API keys yet. It will need documents:write.

curl --request POST \
  --url 'https://api.toku.com/hris/attempt-kota-auto-enrollment' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "employeeID": 0
}'
200 response
{
  "success": true,
  "enrolled": true,
  "error": "string",
  "eligibilityResult": {
    "isEligible": true,
    "reasons": [
      "string"
    ],
    "metadata": {
      "workCountry": "string",
      "employmentCategory": "string",
      "employmentType": "string",
      "workScheduleSource": "TGA",
      "status": "string",
      "startDate": "string",
      "terminationDate": "string",
      "daysUntilStart": 0,
      "daysBetweenStartAndTermination": 0,
      "hasExistingEnrollment": true
    }
  },
  "kotaEmployeeID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

employeeIDintegerrequired

Allowed: at least 1

Response

200Successful response
successbooleanrequired
enrolledbooleanrequired
errorstring
eligibilityResultobject
Show child attributes
isEligiblebooleanrequired
reasonsstring[]required
metadataobjectrequired
Show child attributes
workCountrystring
employmentCategorystring
employmentTypestring
workScheduleSourcestring

Available options: TGA, LEGACY

statusstring
startDatestring
terminationDatestring
daysUntilStartnumber
daysBetweenStartAndTerminationnumber
hasExistingEnrollmentboolean
kotaEmployeeIDstring
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits